package cn.com.poc.thirdparty.resource.text_in.entity.extraction.entity;

/**
 * @author alex.yao
 * @date 2025/5/21
 */
public class CreateResult {
    private Integer code;

    private Data data;

    private String msg;

    public static class Data {
        private String extracted_results_url;

        private String preview_url;

        private String task_id;

        public String getExtracted_results_url() {
            return extracted_results_url;
        }

        public void setExtracted_results_url(String extracted_results_url) {
            this.extracted_results_url = extracted_results_url;
        }

        public String getPreview_url() {
            return preview_url;
        }

        public void setPreview_url(String preview_url) {
            this.preview_url = preview_url;
        }

        public String getTask_id() {
            return task_id;
        }

        public void setTask_id(String task_id) {
            this.task_id = task_id;
        }
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Data getData() {
        return data;
    }

    public void setData(Data data) {
        this.data = data;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
